package example;

public class ProjectRunner {
    /**
     * one class in a program can have a main method
     * it is the entry point for a program if it is run as an application
     * 
     * @param args
     *            not used within this application
     */
    public static void main(String[] args) {

        Controller controller = new Controller(); // creates our controller

        Contact mona = new Contact("Mona", "Lisa");
        mona.addPhoneNumber("555-111-1111");
        controller.addContact(mona);

        Contact happy = new Contact("Happy", "Adams");
        happy.addPhoneNumber("555-444-5555");
        controller.addContact(happy);

        Contact jade = new Contact("Jade", "Smith");
        jade.addPhoneNumber("555-123-4567");
        jade.addPhoneNumber("555-867-5555");
        controller.addContact(jade);

        Contact john = new Contact("John", "Doe");
        john.addPhoneNumber("555-555-1234");
        controller.addContact(john);

        GUIAddressBook myGUI = new GUIAddressBook(controller); // note how we
                                                               // pass the
                                                               // Controller
                                                               // reference to
                                                               // the View

    }
}
